Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Class AuditAtnEvent.AtnEventType

    java.lang.Object
      |
      +--weblogic.security.spi.AuditAtnEvent.AtnEventType

public static class AuditAtnEvent.AtnEventType
extends java.lang.Object

The `AtnEventType` class describes the authentication event types that are supported.

Field Summary
`static AuditAtnEvent.AtnEventType` | `ASSERTIDENTITY` Represents the "identity assertion" authentication type.
`static AuditAtnEvent.AtnEventType` | `AUTHENTICATE` Represents the "simple authentication" authentication type.
`static AuditAtnEvent.AtnEventType` | `IMPERSONATEIDENTITY` Represents the "impersonate identity" authentication type.
`static AuditAtnEvent.AtnEventType` | `USERLOCKED` Indicates that a user has been locked because of invalid login attempts.
`static AuditAtnEvent.AtnEventType` | `USERLOCKOUTEXPIRED` Indicates that a lock on a user has expired.
`static AuditAtnEvent.AtnEventType` | `USERUNLOCKED` Indicates that a lock on a user has been cleared.
`static AuditAtnEvent.AtnEventType` | `VALIDATEIDENTITY` Represents the "validate identity" authentication type.

Method Summary
`java.lang.String` | `toString()` Returns the event type associated with this `AuditAtnEvent`, represented as a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AUTHENTICATE

    public static final AuditAtnEvent.AtnEventType AUTHENTICATE

  Represents the "simple authentication" authentication type.

### ASSERTIDENTITY

    public static final AuditAtnEvent.AtnEventType ASSERTIDENTITY

  Represents the "identity assertion" authentication type.

### IMPERSONATEIDENTITY

    public static final AuditAtnEvent.AtnEventType IMPERSONATEIDENTITY

  Represents the "impersonate identity" authentication type.

### VALIDATEIDENTITY

    public static final AuditAtnEvent.AtnEventType VALIDATEIDENTITY

  Represents the "validate identity" authentication type.

### USERLOCKED

    public static final AuditAtnEvent.AtnEventType USERLOCKED

  Indicates that a user has been locked because of invalid login attempts.

### USERUNLOCKED

    public static final AuditAtnEvent.AtnEventType USERUNLOCKED

  Indicates that a lock on a user has been cleared.

### USERLOCKOUTEXPIRED

    public static final AuditAtnEvent.AtnEventType USERLOCKOUTEXPIRED

  Indicates that a lock on a user has expired.

Method Detail

### toString

    public java.lang.String toString()

  Returns the event type associated with this `AuditAtnEvent`, represented as a String.

  Returns:
    this event type, represented as a String.

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference